ModuleStudio 0.6.1 has been released

ModuleStudio 0.6.1 has been released pdf

We are happy to announce that a new version of ModuleStudio is available. ModuleStudio 0.6.1 includes many bugfixes as well as a few new features.

Here is an overview of the most important features and noteworthy things:

Product changes

  • This release is the first which has been built completely by our CI server. The build infrastructure has matured and allows for reproducable builds with measuring quality metrics and testing. There are also some new platforms added to the list of supported versions. But most important it has become much easier to create and publish new releases now.
  • The MacOS versions behave like native MacOS apps.

DSL / Modeling language changes

  • Introduced a new model element containing generator settings. Therewith you can control which features should be generated and take influence on some behavioural aspects of the generator (read more about this in the manual).
  • Added new target core version pre14 for the new Symfony-based module structure. This replaces the 1.3.6 version which behaves now exactly like 1.3.5.
  • Brief entity display can now be freely controlled by a display pattern in the model (read more about this in the manual).
  • Added a language property for controlling sorting also for the incoming source side of many-to-many relationships, from the target side view..

Generator changes

  • Upload folders are now created on demand if they do not exist yet.
  • The generator creates also a plugin for the Newsletter module (beside the Mailz plugin which has been supported before already).
  • Added support for new event handlers in 1.4.0 to recognise a module being activated or deactivated.
  • In 1.4.0 event handlers are not managed in the database anymore, but by means of dependency injection.
  • The frontend for 1.4.0 applications has been converted to Bootstrap.
  • Lots of generator updates and bugfixes (for details on most changes see closed tickets on Github).

You are recommended to upgrade to MOST 0.6.1 as soon as possible. Depending on the target core version you need either the latest Git version of Zikula 1.4.0 (1.4 branch) or Zikula 1.3.7.